#
#	Copyright (C) 2010. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

################################
#
#	File qvcommon.pri
#

################################
## Compilation configuration

QMAKE_CXXFLAGS_RELEASE -= -O2
QMAKE_CXXFLAGS_RELEASE += -O3

CONFIG -= release
CONFIG -= debug
include(config.pri)

# Compilation options.

################################

DEPENDPATH += $$PWD/src
INCLUDEPATH += $$PWD/src

include(src/qvmath.pri)
include(src/qvip.pri)

qvipp:		include(src/qvipp.pri)
qvqwt:		include(src/qvqwt.pri)
qvmplayer:	include(src/qvmplayer.pri)
qvcuda:		include(src/qvcuda.pri)
qvopencv:	include(src/qvopencv.pri)
qvcgal:		include(src/qvcgal.pri)
qvicc:		include(src/qvicc.pri)

include(src/qvblockprogramming.pri)

