#
#	Copyright (C) 2007, 2008, 2009, 2010. PARP Research Group.
#	<http://perception.inf.um.es>
#	University of Murcia, Spain.
#
#	This file is part of the QVision library.
#
#	QVision is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as
#	published by the Free Software Foundation, version 3 of the License.
#
#	QVision is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public
#	License along with QVision. If not, see <http://www.gnu.org/licenses/>.
#

################################
#
#	File qvip.pri
#

!qvip_defined {

	INCLUDEPATH += $$PWD
	SOURCEPATH += $$PWD

	message(Included module: qvip)
	CONFIG += qvip_defined

	!qvlibproject {
		HEADERS +=	$$PWD/qvip/qvip.h		\
				$$PWD/qvip/qvimageio.h		\
				$$PWD/qvip/qvimagebuffer.h	\
				$$PWD/qvip/qvgenericimage.h	\
				$$PWD/qvip/qvimage.h		\
				$$PWD/qvip/qvpolyline.h		\
				$$PWD/qvip/qvpolylinef.h	\
				$$PWD/qvip/qvcomponenttree.h	\
				$$PWD/qvip/qvmser.h
		
		SOURCES +=	$$PWD/qvip/qvip.cpp		\
				$$PWD/qvip/qvimageio.cpp	\
				$$PWD/qvip/qvimagebuffer.cpp	\
				$$PWD/qvip/qvgenericimage.cpp	\
				$$PWD/qvip/qvimage.cpp		\
				$$PWD/qvip/qvpolyline.cpp	\
				$$PWD/qvip/qvpolylinef.cpp	\
				$$PWD/qvip/qvcomponenttree.cpp	\
				$$PWD/qvip/qvmser.cpp
		}
	}
